extends Spatial


# Called when the node enters the scene tree for the first time.
func _ready():
	create()
	pass # Replace with function body.



func add_vert(var st : SurfaceTool, var pos : Vector3):
	st.add_uv(Vector2(1, 0))
	st.add_uv2(Vector2(1, 0))
	st.add_color(Color(1, 0, 0, 1))
	st.add_normal(Vector3(0, 1, 0))
	st.add_tangent(Plane(0, 1, 0, 0))
	st.add_vertex(pos * 0.1)

func create():
	var tmpMesh = Mesh.new()

	
	var st = SurfaceTool.new()
	st.begin(Mesh.PRIMITIVE_TRIANGLES)

	var vertex_count : int = 0

	for n in range (1000000):
		add_vert(st, Vector3(0, 0, 0))
		add_vert(st, Vector3(0, 1, 0))
		add_vert(st, Vector3(1, 1, 0))

	st.commit(tmpMesh)

	var new_mi = MeshInstance.new()
	new_mi.mesh = tmpMesh
	
	add_child(new_mi)
	
